<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Title</title>
    <style>

        .main div {
            float: right;
            width: 50px;
            height: 50px;
            margin-right: 5px;
            margin-bottom: 20px;
        }

        .bg_red {
            background-color: red;
        }

        .bg_green {
            background-color: green;
        }

        .bg_yellow {
            background-color: yellow;
        }

        .main img {
            width: 50px;
            height: 50px;
        }

        p {
            clear: right;
        }
    </style>
</head>
<body>
<div class="main">
    <div class="bg_red">
        <img src="img/pattern.jpg" alt="паттерн">
    </div>
<!--    <div class="bg_green">2</div>-->
<!--    <div class="bg_yellow">3</div>-->
    <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Accusantium animi at consequatur deserunt eaque eligendi explicabo facilis incidunt ipsa maxime nesciunt non perspiciatis recusandae repellendus reprehenderit saepe unde veniam, voluptatibus. </p>
</div>
</body>
</html>